## blender 3.0.1+dfsg

=== CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# ***** END GPL LICENSE BLOCK *****

#-----------------------------------------------------------------------------
# We don't allow in-source builds. This causes no end of troubles because
# all out-of-source builds will use the CMakeCache.txt file there and even
# build the libs and objects in it.

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  if(NOT DEFINED WITH_IN_SOURCE_BUILD)
    message(FATAL_ERROR
      "CMake generation for blender is not allowed within the source directory!"
      "\n Remove \"${CMAKE_SOURCE_DIR}/CMakeCache.txt\" and try again from another folder, e.g.:"
      "\n "
      "\n rm -rf CMakeCache.txt CMakeFiles"
      "\n cd .."
      "\n mkdir cmake-make"
      "\n cd cmake-make"
      "\n cmake ../blender"
      "\n "
      "\n Alternately define WITH_IN_SOURCE_BUILD to force this option (not recommended!)"
    )
  endif()
endif()

cmake_minimum_required(VERSION 3.10)

# Prefer LEGACY OpenGL to be compatible with all the existing releases and
# platforms which don't have GLVND yet. Only do it if preference was not set
# externally.
if(NOT DEFINED OpenGL_GL_PREFERENCE)
  set(OpenGL_GL_PREFERENCE "LEGACY")
endif()

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(FIRST_RUN TRUE)
else()
  set(FIRST_RUN FALSE)
endif()

# this starts out unset
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/Modules")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/platform")

# avoid having empty buildtype
if(NOT DEFINED CMAKE_BUILD_TYPE_INIT)
  set(CMAKE_BUILD_TYPE_INIT "Release")
  # Internal logic caches this variable, avoid showing it by default
  # since it's easy to accidentally set instead of the build type.
  mark_as_advanced(CMAKE_BUILD_TYPE_INIT)
endif()

# Omit superfluous "Up-to-date" messages.
if(NOT DEFINED CMAKE_INSTALL_MESSAGE)
  set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()

# quiet output for Makefiles, 'make -s' helps too
# set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)

# global compile definitions since add_definitions() adds for all.
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS
  $<$<CONFIG:Debug>:DEBUG;_DEBUG>
  $<$<CONFIG:Release>:NDEBUG>
  $<$<CONFIG:MinSizeRel>:NDEBUG>
  $<$<CONFIG:RelWithDebInfo>:NDEBUG>
)

#-----------------------------------------------------------------------------
# Set policy

# see "cmake --help-policy CMP0003"
# So library linking is more sane
cmake_policy(SET CMP0003 NEW)

# So BUILDINFO and BLENDERPATH strings are automatically quoted
cmake_policy(SET CMP0005 NEW)

# So syntax problems are errors
cmake_policy(SET CMP0010 NEW)

# Input directories must have CMakeLists.txt
cmake_policy(SET CMP0014 NEW)

# Silence draco warning on macOS, new policy works fine.
if(POLICY CMP0068)
  cmake_policy(SET CMP0068 NEW)
endif()

# find_package() uses <PackageName>_ROOT variables.
if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

# Install CODE|SCRIPT allow the use of generator expressions.
if(POLICY CMP0087)
  cmake_policy(SET CMP0087 NEW)
endif()
#-----------------------------------------------------------------------------
# Load some macros.
include(build_files/cmake/macros.cmake)


#-----------------------------------------------------------------------------
# Initialize project.

blender_project_hack_pre()

project(Blender)

blender_project_hack_post()

enable_testing()

#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE)

get_property(GENERATOR_IS_MULTI_CONFIG GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
if(GENERATOR_IS_MULTI_CONFIG)
  set(TESTS_OUTPUT_DIR ${EXECUTABLE_OUTPUT_PATH}/tests/$<CONFIG>/ CACHE INTERNAL "" FORCE)
else()
  set(TESTS_OUTPUT_DIR ${EXECUTABLE_OUTPUT_PATH}/tests/ CACHE INTERNAL "" FORCE)
endif()

#-----------------------------------------------------------------------------
# Set default config options

get_blender_version()


#-----------------------------------------------------------------------------
# Options

# Blender internal features
option(WITH_BLENDER "Build blender (disable to build only the blender player)" ON)
mark_as_advanced(WITH_BLENDER)

if(APPLE)
  # Currently this causes a build error linking, disable.
  set(WITH_BLENDER_THUMBNAILER OFF)
elseif(WIN32)
  option(WITH_BLENDER_THUMBNAILER "Build \"BlendThumb.dll\" helper for Windows explorer integration" ON)
else()
  option(WITH_BLENDER_THUMBNAILER "Build \"blender-thumbnailer\" thumbnail extraction utility" ON)
endif()

option(WITH_INTERNATIONAL "Enable I18N (International fonts and text)" ON)

option(WITH_PYTHON        "Enable Embedded Python API  (only disable for development)" ON)
option(WITH_PYTHON_SECURITY "Disables execution of scripts within blend files by default" ON)
mark_as_advanced(WITH_PYTHON)  # don't want people disabling this unless they really know what they are doing.
mark_as_advanced(WITH_PYTHON_SECURITY)  # some distributions see this as a security issue, rather than have them patch it, make a build option.

option(WITH_PYTHON_SAFETY "Enable internal API error checking to track invalid data to prevent crash on access (at the expense of some efficiency, only enable for development)." OFF)
mark_as_advanced(WITH_PYTHON_SAFETY)
option(WITH_PYTHON_MODULE "Enable building as a python module which runs without a user interface, like running regular blender in background mode (experimental, only enable for development), installs to PYTHON_SITE_PACKAGES (or CMAKE_INSTALL_PREFIX if WITH_INSTALL_PORTABLE is enabled)." OFF)
if(APPLE)
  option(WITH_PYTHON_FRAMEWORK "Enable building using the Python available in the framework (OSX only)" OFF)
endif()

option(WITH_BUILDINFO     "Include extra build details (only disable for development & faster builds)" ON)
set(BUILDINFO_OVERRIDE_DATE "" CACHE STRING "Use instead of the current date for reproducible builds (empty string disables this option)")
set(BUILDINFO_OVERRIDE_TIME "" CACHE STRING "Use instead of the current time for reproducible builds (empty string disables this option)")
set(CPACK_OVERRIDE_PACKAGENAME "" CACHE STRING "Use instead of the standard packagename (empty string disables this option)")
mark_as_advanced(CPACK_OVERRIDE_PACKAGENAME)
mark_as_advanced(BUILDINFO_OVERRIDE_DATE)
mark_as_advanced(BUILDINFO_OVERRIDE_TIME)

option(WITH_IK_ITASC      "Enable ITASC IK solver (only disable for development & for incompatible C++ compilers)" ON)
option(WITH_IK_SOLVER     "Enable Legacy IK solver (only disable for development)" ON)
option(WITH_FFTW3         "Enable FFTW3 support (Used for smoke, ocean sim, and audio effects)" ON)
option(WITH_PUGIXML       "Enable PugiXML support (Used for OpenImageIO, Grease Pencil SVG export)" ON)
option(WITH_BULLET        "Enable Bullet (Physics Engine)" ON)
option(WITH_SYSTEM_BULLET "Use the systems bullet library (currently unsupported due to missing features in upstream!)" )
mark_as_advanced(WITH_SYSTEM_BULLET)
option(WITH_OPENCOLORIO   "Enable OpenColorIO color management" ON)
if(APPLE)
  # There's no OpenXR runtime in sight for macOS, neither is code well
  # tested there -> disable it by default.
  option(WITH_XR_OPENXR   "Enable VR features through the OpenXR specification" OFF)
  mark_as_advanced(WITH_XR_OPENXR)
else()
  option(WITH_XR_OPENXR   "Enable VR features through the OpenXR specification" ON)
endif()
option(WITH_GMP "Enable features depending on GMP (Exact Boolean)" ON)

# Compositor
option(WITH_COMPOSITOR         "Enable the tile based nodal compositor" ON)
option(WITH_OPENIMAGEDENOISE   "Enable the OpenImageDenoise compositing node" ON)

option(WITH_OPENSUBDIV    "Enable OpenSubdiv for surface subdivision" ON)

option(WITH_POTRACE       "Enable features relying on potrace" ON)
option(WITH_OPENVDB       "Enable features relying on OpenVDB" ON)
option(WITH_OPENVDB_BLOSC "Enable blosc compression for OpenVDB, only enable if OpenVDB was built with blosc support" ON)
option(WITH_OPENVDB_3_ABI_COMPATIBLE "Assume OpenVDB library has been compiled with version 3 ABI compatibility" OFF)
mark_as_advanced(WITH_OPENVDB_3_ABI_COMPATIBLE)
option(WITH_NANOVDB       "Enable usage of NanoVDB data structure for rendering on the GPU" ON)
option(WITH_HARU          "Enable features relying on Libharu (Grease pencil PDF export)" ON)

# GHOST Windowing Library Options
option(WITH_GHOST_DEBUG   "Enable debugging output for the GHOST library" OFF)
mark_as_advanced(WITH_GHOST_DEBUG)

option(WITH_GHOST_SDL    "Enable building Blender against SDL for windowing rather than the native APIs" OFF)
mark_as_advanced(WITH_GHOST_SDL)

if(UNIX AND NOT (APPLE OR HAIKU))
  option(WITH_GHOST_X11 "Enable building Blender against X11 for windowing" ON)
  mark_as_advanced(WITH_GHOST_X11)

  option(WITH_GHOST_WAYLAND "Enable building Blender against Wayland for windowing (under development)" OFF)
  mark_as_advanced(WITH_GHOST_WAYLAND)
endif()

if(WITH_GHOST_X11)
  option(WITH_GHOST_XDND    "Enable drag'n'drop support on X11 using XDND protocol" ON)
endif()

# Misc...
option(WITH_HEADLESS      "Build without graphical support (renderfarm, server mode only)" OFF)
mark_as_advanced(WITH_HEADLESS)

option(WITH_QUADRIFLOW    "Build with quadriflow remesher support" ON)

option(WITH_AUDASPACE    "Build with blenders audio library (only disable if you know what you're doing!)" ON)
option(WITH_SYSTEM_AUDASPACE "Build with external audaspace library installed on the system (only enable if you know what you're doing!)" OFF)
mark_as_advanced(WITH_AUDASPACE)
mark_as_advanced(WITH_SYSTEM_AUDASPACE)

set_and_warn_dependency(WITH_AUDASPACE WITH_SYSTEM_AUDASPACE OFF)

option(WITH_OPENMP        "Enable OpenMP (has to be supported by the compiler)" ON)
if(UNIX AND NOT APPLE)
  option(WITH_OPENMP_STATIC "Link OpenMP statically (only used by the release environment)" OFF)
  mark_as_advanced(WITH_OPENMP_STATIC)
endif()

if(WITH_GHOST_X11)
  option(WITH_X11_XINPUT    "Enable X11 Xinput (tablet support and unicode input)"  ON)
  option(WITH_X11_XF86VMODE "Enable X11 video mode switching"                       ON)
  option(WITH_X11_XFIXES    "Enable X11 XWayland cursor warping workaround"         ON)
  option(WITH_X11_ALPHA     "Enable X11 transparent background"                     ON)
endif()

if(UNIX AND NOT APPLE)
  option(WITH_SYSTEM_GLEW "Use GLEW OpenGL wrapper library provided by the operating system" OFF)
  option(WITH_SYSTEM_GLES "Use OpenGL ES library provided by the operating system"           ON)
else()
  # not an option for other OS's
  set(WITH_SYSTEM_GLEW OFF)
  set(WITH_SYSTEM_GLES OFF)
endif()


if(UNIX AND NOT APPLE)
  option(WITH_SYSTEM_EIGEN3 "Use the systems Eigen3 library" OFF)
endif()


# Modifiers
option(WITH_MOD_FLUID           "Enable Mantaflow Fluid Simulation Framework" ON)
option(WITH_MOD_REMESH          "Enable Remesh Modifier" ON)
option(WITH_MOD_OCEANSIM        "Enable Ocean Modifier" ON)

# Image format support
option(WITH_OPENIMAGEIO         "Enable OpenImageIO Support (http://www.openimageio.org)" ON)

=== extern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

# Libs that adhere to strict flags
add_subdirectory(curve_fit_nd)

# Otherwise we get warnings here that we cant fix in external projects
remove_strict_flags()

# Not a strict flag, but noisy for code we don't maintain
if(CMAKE_COMPILER_IS_GNUCC)
  remove_cc_flag(
    "-Wmisleading-indentation"
  )
endif()


add_subdirectory(rangetree)
add_subdirectory(wcwidth)

if(WITH_BULLET)
  if(NOT WITH_SYSTEM_BULLET)
    add_subdirectory(bullet2)
  endif()
endif()

if(WITH_DRACO)
  add_subdirectory(draco)
endif()

if(WITH_BINRELOC)
  add_subdirectory(binreloc)
endif()

if(NOT WITH_SYSTEM_GLEW)
  if(WITH_GLEW_ES)
    add_subdirectory(glew-es)
  else()
    add_subdirectory(glew)
  endif()
endif()

if(WITH_LZO AND NOT WITH_SYSTEM_LZO)
  add_subdirectory(lzo)
endif()

if(WITH_LZMA)
  add_subdirectory(lzma)
endif()

if(WITH_CYCLES OR WITH_COMPOSITOR OR WITH_OPENSUBDIV)
  add_subdirectory(clew)
  if((WITH_CYCLES_DEVICE_CUDA OR WITH_CYCLES_DEVICE_OPTIX) AND WITH_CUDA_DYNLOAD)
    add_subdirectory(cuew)
  endif()
  if(WITH_CYCLES_DEVICE_HIP AND WITH_HIP_DYNLOAD)
    add_subdirectory(hipew)
  endif()
endif()

if(WITH_GHOST_X11 AND WITH_GHOST_XDND)
  add_subdirectory(xdnd)
endif()

if(WITH_LIBMV)
  add_subdirectory(ceres)
endif()

if(WITH_LIBMV OR WITH_GTESTS OR (WITH_CYCLES AND WITH_CYCLES_LOGGING))
  if(NOT WITH_SYSTEM_GFLAGS)
    add_subdirectory(gflags)
  endif()
  add_subdirectory(glog)
endif()

if(WITH_GTESTS)
  add_subdirectory(gtest)
  add_subdirectory(gmock)
endif()

if(WITH_SDL AND WITH_SDL_DYNLOAD)
  add_subdirectory(sdlew)
endif()

if(WITH_AUDASPACE AND NOT WITH_SYSTEM_AUDASPACE)
  set(AUDASPACE_CMAKE_CFG ${CMAKE_CURRENT_SOURCE_DIR}/audaspace/blender_config.cmake)
  add_subdirectory(audaspace)
endif()

if(WITH_QUADRIFLOW)
  set(QUADRIFLOW_CMAKE_CFG ${CMAKE_CURRENT_SOURCE_DIR}/quadriflow/blender_config.cmake)
  add_subdirectory(quadriflow)
endif()

if(WITH_MOD_FLUID)
  add_subdirectory(mantaflow)
endif()

if (WITH_COMPOSITOR)
  add_subdirectory(smaa_areatex)
endif()

=== intern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

# add_subdirectory(atomic)  # header only
add_subdirectory(atomic)
add_subdirectory(clog)
add_subdirectory(ghost)
add_subdirectory(guardedalloc)
add_subdirectory(libmv)
add_subdirectory(memutil)
add_subdirectory(numaapi)
add_subdirectory(opencolorio)
add_subdirectory(opensubdiv)
add_subdirectory(mikktspace)
add_subdirectory(glew-mx)
add_subdirectory(eigen)
add_subdirectory(sky)

if(WITH_AUDASPACE)
  add_subdirectory(audaspace)
endif()

if(WITH_MOD_REMESH)
  add_subdirectory(dualcon)
endif()

if(WITH_IK_SOLVER)
  add_subdirectory(iksolver)
endif()

if(WITH_IK_ITASC)
  add_subdirectory(itasc)
endif()

if(WITH_CYCLES)
  add_subdirectory(cycles)
endif()

if(WITH_INTERNATIONAL)
  add_subdirectory(locale)
endif()

if(WITH_BULLET)
  add_subdirectory(rigidbody)
endif()

# only windows needs utf16 converter
if(WIN32)
  add_subdirectory(utfconv)
endif()

if(WITH_MOD_FLUID)
  add_subdirectory(mantaflow)
endif()

if(WITH_OPENVDB)
  add_subdirectory(openvdb)
endif()

if(WITH_QUADRIFLOW)
  add_subdirectory(quadriflow)
endif()

if(WITH_CODEC_FFMPEG)
  add_subdirectory(ffmpeg)
endif()

if(UNIX AND NOT APPLE)
  add_subdirectory(libc_compat)
endif()

=== source/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

if(WITH_LEGACY_OPENGL)
  add_definitions(-DWITH_LEGACY_OPENGL)
endif()

if(WITH_CLANG_TIDY AND NOT MSVC)
  if(NOT CMAKE_C_COMPILER_ID MATCHES "Clang")
    message(WARNING "Currently Clang-Tidy might fail with GCC toolchain, switch to Clang toolchain if that happens")
  endif()

  find_package(ClangTidy REQUIRED)
  set(CMAKE_C_CLANG_TIDY ${CLANG_TIDY_EXECUTABLE})
  set(CMAKE_CXX_CLANG_TIDY ${CLANG_TIDY_EXECUTABLE})
endif()

add_subdirectory(blender)

=== tests/CMakeLists.txt ===

# Always run tests from install path, so all required scripts and libraries
# are available and we are testing the actual installation layout.
#
# Getting the install path of the executable is somewhat involved, as there are
# no direct CMake generator expressions to get the install paths of executables.
get_property(GENERATOR_IS_MULTI_CONFIG GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
if(GENERATOR_IS_MULTI_CONFIG)
  string(REPLACE "\${BUILD_TYPE}" "$<CONFIG>" TEST_INSTALL_DIR ${CMAKE_INSTALL_PREFIX})
else()
  string(REPLACE "\${BUILD_TYPE}" "" TEST_INSTALL_DIR ${CMAKE_INSTALL_PREFIX})
endif()

# Path to Blender and Python executables for all platforms.
if(MSVC)
  set(TEST_BLENDER_EXE ${TEST_INSTALL_DIR}/blender.exe)
  set(_default_test_python_exe "${TEST_INSTALL_DIR}/${BLENDER_VERSION_MAJOR}.${BLENDER_VERSION_MINOR}/python/bin/python$<$<CONFIG:Debug>:_d>")
elseif(APPLE)
  set(TEST_BLENDER_EXE ${TEST_INSTALL_DIR}/Blender.app/Contents/MacOS/Blender)
  set(_default_test_python_exe ${PYTHON_EXECUTABLE})
else()
  if(WITH_INSTALL_PORTABLE)
    set(TEST_BLENDER_EXE ${TEST_INSTALL_DIR}/blender)
  else()
    set(TEST_BLENDER_EXE ${TEST_INSTALL_DIR}/bin/blender)
  endif()
  set(_default_test_python_exe ${PYTHON_EXECUTABLE})
endif()

# The installation directory's Python is the best one to use. However, it can only be there after the install step,
# which means that Python will never be there on a fresh system. To suit different needs, the user can pass
# -DTEST_PYTHON_EXE=/path/to/python to CMake.
if(NOT TEST_PYTHON_EXE)
  set(TEST_PYTHON_EXE ${_default_test_python_exe})
  message(STATUS "Tests: Using Python executable: ${TEST_PYTHON_EXE}")
elseif(NOT EXISTS ${TEST_PYTHON_EXE})
  message(FATAL_ERROR "Tests: TEST_PYTHON_EXE ${TEST_PYTHON_EXE} does not exist")
endif()
unset(_default_test_python_exe)


# For testing with Valgrind
# set(TEST_BLENDER_EXE valgrind --track-origins=yes --error-limit=no ${TEST_BLENDER_EXE})

# Standard Blender arguments for running tests.
# Specify exit code so that if a Python script error happens, the test fails.
set(TEST_BLENDER_EXE_PARAMS --background -noaudio --factory-startup --debug-memory --debug-exit-on-error --python-exit-code 1)

# Python CTests
if(WITH_BLENDER AND WITH_PYTHON AND NOT WITH_PYTHON_MODULE)
  add_subdirectory(python)
endif()

# Blender as python module tests.
if(WITH_PYTHON_MODULE)
  add_subdirectory(blender_as_python_module)
endif()

# GTest
add_subdirectory(gtests)

=== build_files/build_environment/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ***** END GPL LICENSE BLOCK *****

####################################################################################################
#
# This is a build system used by platform maintainers to build library dependencies on
# Windows, macOS and Linux.
#
# For users building Blender, we recommend using the precompiled libraries from lib/ on
# Windows and macOS, and install_deps.sh on Linux.
#
# WINDOWS USAGE:
#   Don't call this cmake file yourself, use build_deps.cmd
#   build_deps 2013 x64 / build_deps 2013 x86
#   build_deps 2015 x64 / build_deps 2015 x86
#
# MAC OS X USAGE:
#   Install with homebrew: brew install autoconf automake bison cmake libtool pkg-config yasm
#   Additional requirements for macOS arm64: brew install flex
#   Run "make deps" from main Blender directory
#
# LINUX USAGE:
#   Install compiler cmake autoconf automake libtool yasm tcl
#   Run "make deps" from main Blender directory
#
####################################################################################################

project("BlenderDependencies")
cmake_minimum_required(VERSION 3.5)

include(ExternalProject)
include(cmake/check_software.cmake)
include(cmake/options.cmake)
include(cmake/versions.cmake)
include(cmake/download.cmake)

if(ENABLE_MINGW64)
  include(cmake/setup_mingw64.cmake)
else()
  set(mingw_LIBDIR ${LIBDIR})
endif()

include(cmake/zlib.cmake)
include(cmake/zstd.cmake)
include(cmake/openal.cmake)
include(cmake/png.cmake)
include(cmake/jpeg.cmake)
include(cmake/blosc.cmake)
include(cmake/pthreads.cmake)
include(cmake/openexr.cmake)
include(cmake/freetype.cmake)
include(cmake/freeglut.cmake)
include(cmake/glew.cmake)
include(cmake/alembic.cmake)
include(cmake/glfw.cmake)
include(cmake/clew.cmake)
include(cmake/cuew.cmake)
include(cmake/opensubdiv.cmake)
include(cmake/sdl.cmake)
include(cmake/opencollada.cmake)
include(cmake/llvm.cmake)
if(APPLE)
  include(cmake/openmp.cmake)
endif()
if(UNIX)
  include(cmake/nasm.cmake)
endif()
include(cmake/openimageio.cmake)
include(cmake/tiff.cmake)
if(WIN32)
  include(cmake/flexbison.cmake)
elseif(UNIX AND NOT APPLE)
  include(cmake/flex.cmake)
endif()
include(cmake/osl.cmake)
include(cmake/tbb.cmake)
include(cmake/openvdb.cmake)
include(cmake/nanovdb.cmake)
include(cmake/python.cmake)
option(USE_PIP_NUMPY "Install NumPy using pip wheel instead of building from source" OFF)
if(APPLE AND ("${CMAKE_OSX_ARCHITECTURES}" STREQUAL "x86_64"))
  set(USE_PIP_NUMPY ON)
else()
  include(cmake/numpy.cmake)
endif()
include(cmake/python_site_packages.cmake)
include(cmake/package_python.cmake)
include(cmake/usd.cmake)
include(cmake/potrace.cmake)
include(cmake/haru.cmake)
# Boost needs to be included after python.cmake due to the PYTHON_BINARY variable being needed.
include(cmake/boost.cmake)
include(cmake/pugixml.cmake)
include(cmake/ispc.cmake)
include(cmake/openimagedenoise.cmake)
include(cmake/embree.cmake)
if(NOT APPLE)
  include(cmake/xr_openxr.cmake)
endif()

# OpenColorIO and dependencies.
include(cmake/expat.cmake)
include(cmake/yamlcpp.cmake)
include(cmake/opencolorio.cmake)

if(BLENDER_PLATFORM_ARM)
  include(cmake/sse2neon.cmake)
endif()

if(WITH_WEBP)
  include(cmake/webp.cmake)
endif()

if(NOT WIN32 OR ENABLE_MINGW64)
  include(cmake/gmp.cmake)
  include(cmake/openjpeg.cmake)
  if(NOT WIN32 OR BUILD_MODE STREQUAL Release)
    if(WIN32)
      include(cmake/zlib_mingw.cmake)
    endif()
    include(cmake/lame.cmake)
    include(cmake/ogg.cmake)
    include(cmake/vorbis.cmake)
    include(cmake/theora.cmake)
    include(cmake/opus.cmake)
    include(cmake/vpx.cmake)
    include(cmake/x264.cmake)
    include(cmake/xvidcore.cmake)
    include(cmake/ffmpeg.cmake)
    include(cmake/fftw.cmake)
    include(cmake/sndfile.cmake)
    if(WIN32)
      include(cmake/iconv.cmake)
    endif()
    if(UNIX)
      include(cmake/flac.cmake)
      include(cmake/xml2.cmake)
      if(NOT APPLE)
        include(cmake/spnav.cmake)
        include(cmake/jemalloc.cmake)
      endif()
    endif()
  endif()
endif()

if(UNIX)
  include(cmake/bzip2.cmake)
  include(cmake/ffi.cmake)
  include(cmake/lzma.cmake)
  include(cmake/ssl.cmake)
  include(cmake/sqlite.cmake)
endif()

if(UNIX AND NOT APPLE)
  include(cmake/libglu.cmake)
  include(cmake/mesa.cmake)
  include(cmake/wayland_protocols.cmake)
endif()

include(cmake/harvest.cmake)

=== doc/python_api/requirements.txt ===
sphinx==4.1.1

# Sphinx dependencies that are important
Jinja2==3.0.1
Pygments==2.10.0
docutils==0.17.1
snowballstemmer==2.1.0
babel==2.9.1
requests==2.26.0

# Only needed to match the theme used for the official documentation.
# Without this theme, the default theme will be used.
sphinx_rtd_theme==1.0.0

=== extern/audaspace/CMakeLists.txt ===
################################################################################
# Copyright 2009-2016 Jörg Müller
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
################################################################################

cmake_minimum_required(VERSION 3.0)
include(CMakeDependentOption)

if(POLICY CMP0054)
	cmake_policy(SET CMP0054 NEW)
endif()

project(audaspace)

set(AUDASPACE_VERSION 1.3)
set(AUDASPACE_LONG_VERSION ${AUDASPACE_VERSION}.0)

if(DEFINED AUDASPACE_CMAKE_CFG)
	include(${AUDASPACE_CMAKE_CFG})
endif()

if(NOT DEFINED AUDASPACE_STANDALONE)
	set(AUDASPACE_STANDALONE TRUE)
endif()

# sources

set(SRC
	src/devices/DefaultSynchronizer.cpp
	src/devices/DeviceManager.cpp
	src/devices/NULLDevice.cpp
	src/devices/ReadDevice.cpp
	src/devices/SoftwareDevice.cpp
	src/devices/ThreadedDevice.cpp
	src/Exception.cpp
	src/file/File.cpp
	src/file/FileManager.cpp
	src/file/FileWriter.cpp
	src/fx/Accumulator.cpp
	src/fx/ADSR.cpp
	src/fx/ADSRReader.cpp
	src/fx/BaseIIRFilterReader.cpp
	src/fx/ButterworthCalculator.cpp
	src/fx/Butterworth.cpp
	src/fx/CallbackIIRFilterReader.cpp
	src/fx/Delay.cpp
	src/fx/DelayReader.cpp
	src/fx/DynamicIIRFilter.cpp
	src/fx/DynamicIIRFilterReader.cpp
	src/fx/DynamicMusic.cpp
	src/fx/Effect.cpp
	src/fx/EffectReader.cpp
	src/fx/Envelope.cpp
	src/fx/Fader.cpp
	src/fx/FaderReader.cpp
	src/fx/HighpassCalculator.cpp
	src/fx/Highpass.cpp
	src/fx/IIRFilter.cpp
	src/fx/IIRFilterReader.cpp
	src/fx/Limiter.cpp
	src/fx/LimiterReader.cpp
	src/fx/Loop.cpp
	src/fx/LoopReader.cpp
	src/fx/LowpassCalculator.cpp
	src/fx/Lowpass.cpp
	src/fx/Modulator.cpp
	src/fx/ModulatorReader.cpp
	src/fx/MutableReader.cpp
	src/fx/MutableSound.cpp
	src/fx/Pitch.cpp
	src/fx/PitchReader.cpp
	src/fx/PlaybackManager.cpp
	src/fx/PlaybackCategory.cpp
	src/fx/Reverse.cpp
	src/fx/ReverseReader.cpp
	src/fx/SoundList.cpp
	src/fx/Source.cpp
	src/fx/Sum.cpp
	src/fx/Threshold.cpp
	src/fx/Volume.cpp
	src/fx/VolumeReader.cpp
	src/fx/VolumeSound.cpp
	src/fx/VolumeStorage.cpp
	src/generator/Sawtooth.cpp
	src/generator/SawtoothReader.cpp
	src/generator/Silence.cpp
	src/generator/SilenceReader.cpp
	src/generator/Sine.cpp
	src/generator/SineReader.cpp
	src/generator/Square.cpp
	src/generator/SquareReader.cpp
	src/generator/Triangle.cpp
	src/generator/TriangleReader.cpp
	src/respec/ChannelMapper.cpp
	src/respec/ChannelMapperReader.cpp
	src/respec/Converter.cpp
	src/respec/ConverterFunctions.cpp
	src/respec/ConverterReader.cpp
	src/respec/JOSResample.cpp
	src/respec/JOSResampleReaderCoeff.cpp
	src/respec/JOSResampleReader.cpp
	src/respec/LinearResample.cpp
	src/respec/LinearResampleReader.cpp
	src/respec/Mixer.cpp
	src/respec/ResampleReader.cpp
	src/respec/SpecsChanger.cpp
	src/sequence/AnimateableProperty.cpp
	src/sequence/Double.cpp
	src/sequence/DoubleReader.cpp
	src/sequence/PingPong.cpp
	src/sequence/Sequence.cpp
	src/sequence/SequenceData.cpp
	src/sequence/SequenceEntry.cpp
	src/sequence/SequenceHandle.cpp
	src/sequence/SequenceReader.cpp
	src/sequence/Superpose.cpp
	src/sequence/SuperposeReader.cpp
	src/util/Barrier.cpp
	src/util/Buffer.cpp
	src/util/BufferReader.cpp
	src/util/RingBuffer.cpp
	src/util/StreamBuffer.cpp
	src/util/ThreadPool.cpp
)

set(PRIVATE_HDR
	src/sequence/SequenceHandle.h
)

set(PUBLIC_HDR
	include/devices/DefaultSynchronizer.h
	include/devices/DeviceManager.h
	include/devices/I3DDevice.h
	include/devices/I3DHandle.h
	include/devices/IDeviceFactory.h
	include/devices/IDevice.h
	include/devices/IHandle.h
	include/devices/ISynchronizer.h
	include/devices/NULLDevice.h
	include/devices/ReadDevice.h
	include/devices/SoftwareDevice.h
	include/devices/ThreadedDevice.h
	include/Exception.h
	include/file/File.h
	include/file/FileInfo.h
	include/file/FileManager.h
	include/file/FileWriter.h
	include/file/IFileInput.h
	include/file/IFileOutput.h
	include/file/IWriter.h
	include/fx/Accumulator.h
	include/fx/ADSR.h
	include/fx/ADSRReader.h
	include/fx/BaseIIRFilterReader.h
	include/fx/ButterworthCalculator.h
	include/fx/Butterworth.h
	include/fx/CallbackIIRFilterReader.h
	include/fx/Delay.h
	include/fx/DelayReader.h
	include/fx/DynamicIIRFilter.h
	include/fx/DynamicIIRFilterReader.h
	include/fx/DynamicMusic.h
	include/fx/Effect.h
	include/fx/EffectReader.h
	include/fx/Envelope.h
	include/fx/Fader.h
	include/fx/FaderReader.h
	include/fx/HighpassCalculator.h
	include/fx/Highpass.h
	include/fx/IDynamicIIRFilterCalculator.h
	include/fx/IIRFilter.h
	include/fx/IIRFilterReader.h
	include/fx/Limiter.h
	include/fx/LimiterReader.h
	include/fx/Loop.h
	include/fx/LoopReader.h
	include/fx/LowpassCalculator.h
	include/fx/Lowpass.h
	include/fx/Modulator.h
	include/fx/ModulatorReader.h
	include/fx/MutableReader.h
	include/fx/MutableSound.h
	include/fx/Pitch.h
	include/fx/PitchReader.h
	include/fx/PlaybackManager.h
	include/fx/PlaybackCategory.h
	include/fx/Reverse.h
	include/fx/ReverseReader.h
	include/fx/SoundList.h
	include/fx/Source.h
	include/fx/Sum.h
	include/fx/Threshold.h
	include/fx/Volume.h
	include/fx/VolumeReader.h
	include/fx/VolumeSound.h
	include/fx/VolumeStorage.h
	include/generator/Sawtooth.h
	include/generator/SawtoothReader.h
	include/generator/Silence.h
	include/generator/SilenceReader.h
	include/generator/Sine.h
	include/generator/SineReader.h
	include/generator/Square.h
	include/generator/SquareReader.h
	include/generator/Triangle.h
	include/generator/TriangleReader.h
	include/IReader.h
	include/ISound.h
	include/plugin/PluginManager.h
	include/respec/ChannelMapper.h
	include/respec/ChannelMapperReader.h
	include/respec/ConverterFunctions.h
	include/respec/Converter.h
	include/respec/ConverterReader.h
	include/respec/JOSResample.h
	include/respec/JOSResampleReader.h
	include/respec/LinearResample.h
	include/respec/LinearResampleReader.h
	include/respec/Mixer.h
	include/respec/ResampleReader.h
	include/respec/Specification.h
	include/respec/SpecsChanger.h
	include/sequence/AnimateableProperty.h
	include/sequence/Double.h
	include/sequence/DoubleReader.h
	include/sequence/PingPong.h
	include/sequence/SequenceData.h
	include/sequence/SequenceEntry.h
	include/sequence/Sequence.h
	include/sequence/SequenceReader.h
	include/sequence/Superpose.h
	include/sequence/SuperposeReader.h
	include/util/Barrier.h
	include/util/Buffer.h
	include/util/BufferReader.h
	include/util/ILockable.h
	include/util/Math3D.h
	include/util/RingBuffer.h
	include/util/StreamBuffer.h
	include/util/ThreadPool.h
)

set(HDR ${PRIVATE_HDR} ${PUBLIC_HDR})

set(INCLUDE ${CMAKE_CURRENT_BINARY_DIR} include)

if(WIN32)
	set(LIBRARIES)
	if(AUDASPACE_STANDALONE)
		set(DLLS)
		set(LIBRARY_PATH "../lib" CACHE PATH "Path which contains the libraries.")
		file(GLOB LIBRARY_DIRS ${LIBRARY_PATH}/*)
		list(APPEND CMAKE_PREFIX_PATH ${LIBRARY_DIRS})
	endif()
else()
	set(LIBRARIES ${CMAKE_DL_LIBS} -lpthread)
endif()

set(STATIC_PLUGINS "")

# dependencies

if(AUDASPACE_STANDALONE)
	set(PACKAGE_OPTION QUIET)
	list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

	option(BUILD_DEMOS "Build and install demos" TRUE)

	option(SHARED_LIBRARY "Build Shared Library" TRUE)

	option(WITH_C "Build C Module" TRUE)
	option(WITH_DOCS "Build C++ HTML Documentation with Doxygen" TRUE)
	option(WITH_FFMPEG "Build With FFMPEG" TRUE)
	option(WITH_FFTW "Build With FFTW" TRUE)
	option(WITH_JACK "Build With Plugin" TRUE)
	option(WITH_LIBSNDFILE "Build With LibSndFile" TRUE)
	option(WITH_OPENAL "Build With OpenAL" TRUE)
	option(WITH_PYTHON "Build With Python Library" TRUE)
	option(WITH_SDL "Build With SDL" TRUE)
	option(WITH_STRICT_DEPENDENCIES "Error and abort instead of warning if a library is not found." FALSE)
	if(APPLE)
		option(WITH_COREAUDIO "Build With CoreAudio" TRUE)
	endif()
	if(NOT WIN32 AND NOT APPLE)
		option(WITH_PULSEAUDIO "Build With PulseAudio" TRUE)
	endif()
	if(WIN32)
		option(WITH_WASAPI "Build With WASAPI" TRUE)
	endif()

	if(WITH_STRICT_DEPENDENCIES)
		set(PACKAGE_OPTION REQUIRED)
	endif()
endif()

if(AUDASPACE_STANDALONE)
	if(WIN32 OR APPLE)
		set(DEFAULT_PLUGIN_PATH "." CACHE STRING "Default plugin installation and loading path.")
		set(DOCUMENTATION_INSTALL_PATH "doc" CACHE PATH "Path where the documentation is installed.")
	else()
		set(DEFAULT_PLUGIN_PATH "${CMAKE_INSTALL_PREFIX}/share/audaspace/plugins" CACHE STRING "Default plugin installation and loading path.")
		set(DOCUMENTATION_INSTALL_PATH "share/doc/audaspace" CACHE PATH "Path where the documentation is installed.")
	endif()
endif()

if(AUDASPACE_STANDALONE)
	cmake_dependent_option(SEPARATE_C "Build C Binding as separate library" TRUE "WITH_C" FALSE)
	cmake_dependent_option(PLUGIN_COREAUDIO "Build CoreAudio Plugin" TRUE "WITH_COREAUDIO;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_FFMPEG "Build FFMPEG Plugin" TRUE "WITH_FFMPEG;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_JACK "Build JACK Plugin" TRUE "WITH_JACK;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_LIBSNDFILE "Build LibSndFile Plugin" TRUE "WITH_LIBSNDFILE;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_OPENAL "Build OpenAL Plugin" TRUE "WITH_OPENAL;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_PULSEAUDIO "Build PulseAudio Plugin" TRUE "WITH_PULSEAUDIO;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_SDL "Build SDL Plugin" TRUE "WITH_SDL;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(PLUGIN_WASAPI "Build WASAPI Plugin" TRUE "WITH_WASAPI;SHARED_LIBRARY" FALSE)
	cmake_dependent_option(WITH_PYTHON_MODULE "Build Python Module" TRUE "WITH_PYTHON" FALSE)
	cmake_dependent_option(USE_SDL2 "Use SDL2 instead of 1 if available" TRUE "WITH_SDL" FALSE)
	cmake_dependent_option(DYNLOAD_JACK "Dynamically load JACK" FALSE "WITH_JACK" FALSE)
	cmake_dependent_option(DYNLOAD_PULSEAUDIO "Dynamically load PulseAudio" FALSE "WITH_PULSEAUDIO" FALSE)
	cmake_dependent_option(WITH_BINDING_DOCS "Build C/Python HTML Documentation with Sphinx" TRUE "WITH_PYTHON_MODULE" FALSE)
endif()

# compiler options

if(AUDASPACE_STANDALONE)
	if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
		add_definitions(-std=c++11)
		list(APPEND CMAKE_C_COMPILER_FLAGS "-fvisibility=hidden")
		list(APPEND CMAKE_CXX_COMPILER_FLAGS "-fvisibility=hidden")
	endif()

	if(MSVC)
		list(APPEND CMAKE_C_FLAGS_DEBUG "/Zi /Od")
		list(APPEND CMAKE_CXX_FLAGS_DEBUG "/Zi /Od")
		list(APPEND CMAKE_SHARED_LINKER_FLAGS_DEBUG "/DEBUG")
		list(APPEND CMAKE_STATIC_LINKER_FLAGS_DEBUG "/DEBUG")
		list(APPEND CMAKE_EXE_LINKER_FLAGS_DEBUG "/DEBUG")

		if(SHARED_LIBRARY)
			include(GenerateExportHeader)
		endif()
	endif()

	if(APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
		set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9" CACHE STRING "" FORCE)
	endif()
endif()

if(MSVC)
	add_definitions(
		/D_USE_MATH_DEFINES
		/EHsc
		/DNOMINMAX
		/D_STDINT_H
	)
endif()

# platform specific options

if(MSYS OR MINGW)
	add_definitions(-D_USE_MATH_DEFINES)
endif()

# C
if(WITH_C)
	set(C_SRC
		bindings/C/AUD_ThreadPool.cpp
		bindings/C/AUD_Source.cpp
		bindings/C/AUD_Device.cpp
		bindings/C/AUD_DynamicMusic.cpp
		bindings/C/AUD_Handle.cpp
		bindings/C/AUD_PlaybackManager.cpp
		bindings/C/AUD_Sequence.cpp
		bindings/C/AUD_Sound.cpp
		bindings/C/AUD_Special.cpp
	)
	set(C_HDR
		bindings/C/AUD_ThreadPool.h
		bindings/C/AUD_Source.h
		bindings/C/AUD_Device.h
		bindings/C/AUD_DynamicMusic.h
		bindings/C/AUD_Handle.h
		bindings/C/AUD_PlaybackManager.h
		bindings/C/AUD_Sequence.h
		bindings/C/AUD_Sound.h
		bindings/C/AUD_Special.h
		bindings/C/AUD_Types.h
	)

	if(WITH_FFTW)
		list(APPEND C_SRC
			bindings/C/AUD_HRTF.cpp

=== extern/bullet2/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

# avoid noisy warnings
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  remove_cc_flag(
    "-Wall"
  )
endif()

# Use double precision to make simulations of small objects stable.
add_definitions(-DBT_USE_DOUBLE_PRECISION)

set(INC
  .
  src
)

set(INC_SYS

)

set(SRC
  src/BulletCollision/BroadphaseCollision/btAxisSweep3.cpp
  src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.cpp
  src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.cpp
  src/BulletCollision/BroadphaseCollision/btDbvt.cpp
  src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.cpp
  src/BulletCollision/BroadphaseCollision/btDispatcher.cpp
  src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.cpp
  src/BulletCollision/BroadphaseCollision/btQuantizedBvh.cpp
  src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.cpp
  src/BulletCollision/CollisionDispatch/SphereTriangleDetector.cpp
  src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btBoxBoxDetector.cpp
  src/BulletCollision/CollisionDispatch/btCollisionDispatcher.cpp
  src/BulletCollision/CollisionDispatch/btCollisionObject.cpp
  src/BulletCollision/CollisionDispatch/btCollisionWorld.cpp
  src/BulletCollision/CollisionDispatch/btCollisionWorldImporter.cpp
  src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btCompoundCompoundCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.cpp
  src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btGhostObject.cpp
  src/BulletCollision/CollisionDispatch/btHashedSimplePairCache.cpp
  src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.cpp
  src/BulletCollision/CollisionDispatch/btManifoldResult.cpp
  src/BulletCollision/CollisionDispatch/btSimulationIslandManager.cpp
  src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.cpp
  src/BulletCollision/CollisionDispatch/btUnionFind.cpp
  src/BulletCollision/CollisionShapes/btBox2dShape.cpp
  src/BulletCollision/CollisionShapes/btBoxShape.cpp
  src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.cpp
  src/BulletCollision/CollisionShapes/btCapsuleShape.cpp
  src/BulletCollision/CollisionShapes/btCollisionShape.cpp
  src/BulletCollision/CollisionShapes/btCompoundShape.cpp
  src/BulletCollision/CollisionShapes/btConcaveShape.cpp
  src/BulletCollision/CollisionShapes/btConeShape.cpp
  src/BulletCollision/CollisionShapes/btConvex2dShape.cpp
  src/BulletCollision/CollisionShapes/btConvexHullShape.cpp
  src/BulletCollision/CollisionShapes/btConvexInternalShape.cpp
  src/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp
  src/BulletCollision/CollisionShapes/btConvexPolyhedron.cpp
  src/BulletCollision/CollisionShapes/btConvexShape.cpp
  src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.cpp
  src/BulletCollision/CollisionShapes/btCylinderShape.cpp
  src/BulletCollision/CollisionShapes/btEmptyShape.cpp
  src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.cpp
  src/BulletCollision/CollisionShapes/btMiniSDF.cpp
  src/BulletCollision/CollisionShapes/btMinkowskiSumShape.cpp
  src/BulletCollision/CollisionShapes/btMultiSphereShape.cpp
  src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.cpp
  src/BulletCollision/CollisionShapes/btOptimizedBvh.cpp
  src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
  src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.cpp
  src/BulletCollision/CollisionShapes/btSdfCollisionShape.cpp
  src/BulletCollision/CollisionShapes/btShapeHull.cpp
  src/BulletCollision/CollisionShapes/btSphereShape.cpp
  src/BulletCollision/CollisionShapes/btStaticPlaneShape.cpp
  src/BulletCollision/CollisionShapes/btStridingMeshInterface.cpp
  src/BulletCollision/CollisionShapes/btTetrahedronShape.cpp
  src/BulletCollision/CollisionShapes/btTriangleBuffer.cpp
  src/BulletCollision/CollisionShapes/btTriangleCallback.cpp
  src/BulletCollision/CollisionShapes/btTriangleIndexVertexArray.cpp
  src/BulletCollision/CollisionShapes/btTriangleIndexVertexMaterialArray.cpp
  src/BulletCollision/CollisionShapes/btTriangleMesh.cpp
  src/BulletCollision/CollisionShapes/btTriangleMeshShape.cpp
  src/BulletCollision/CollisionShapes/btUniformScalingShape.cpp
  src/BulletCollision/Gimpact/btContactProcessing.cpp
  src/BulletCollision/Gimpact/btGImpactBvh.cpp
  src/BulletCollision/Gimpact/btGImpactCollisionAlgorithm.cpp
  src/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp
  src/BulletCollision/Gimpact/btGImpactShape.cpp
  src/BulletCollision/Gimpact/btGenericPoolAllocator.cpp
  src/BulletCollision/Gimpact/btTriangleShapeEx.cpp
  src/BulletCollision/Gimpact/gim_box_set.cpp
  src/BulletCollision/Gimpact/gim_contact.cpp
  src/BulletCollision/Gimpact/gim_memory.cpp
  src/BulletCollision/Gimpact/gim_tri_collision.cpp
  src/BulletCollision/NarrowPhaseCollision/btContinuousConvexCollision.cpp
  src/BulletCollision/NarrowPhaseCollision/btConvexCast.cpp
  src/BulletCollision/NarrowPhaseCollision/btGjkConvexCast.cpp
  src/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp
  src/BulletCollision/NarrowPhaseCollision/btGjkEpaPenetrationDepthSolver.cpp
  src/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp
  src/BulletCollision/NarrowPhaseCollision/btMinkowskiPenetrationDepthSolver.cpp
  src/BulletCollision/NarrowPhaseCollision/btPersistentManifold.cpp
  src/BulletCollision/NarrowPhaseCollision/btPolyhedralContactClipping.cpp
  src/BulletCollision/NarrowPhaseCollision/btRaycastCallback.cpp
  src/BulletCollision/NarrowPhaseCollision/btSubSimplexConvexCast.cpp
  src/BulletCollision/NarrowPhaseCollision/btVoronoiSimplexSolver.cpp

  src/BulletDynamics/Character/btKinematicCharacterController.cpp
  src/BulletDynamics/ConstraintSolver/btConeTwistConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btContactConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btFixedConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btGearConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btGeneric6DofConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btGeneric6DofSpring2Constraint.cpp
  src/BulletDynamics/ConstraintSolver/btGeneric6DofSpringConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btHinge2Constraint.cpp
  src/BulletDynamics/ConstraintSolver/btHingeConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btNNCGConstraintSolver.cpp
  src/BulletDynamics/ConstraintSolver/btPoint2PointConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp
  src/BulletDynamics/ConstraintSolver/btSliderConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btSolve2LinearConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btTypedConstraint.cpp
  src/BulletDynamics/ConstraintSolver/btUniversalConstraint.cpp
  src/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp
  src/BulletDynamics/Dynamics/btRigidBody.cpp
  src/BulletDynamics/Dynamics/btSimpleDynamicsWorld.cpp
  src/BulletDynamics/Featherstone/btMultiBody.cpp
  src/BulletDynamics/Featherstone/btMultiBodyConstraint.cpp
  src/BulletDynamics/Featherstone/btMultiBodyConstraintSolver.cpp
  src/BulletDynamics/Featherstone/btMultiBodyDynamicsWorld.cpp
  src/BulletDynamics/Featherstone/btMultiBodyJointLimitConstraint.cpp
  src/BulletDynamics/Featherstone/btMultiBodyJointMotor.cpp
  src/BulletDynamics/Featherstone/btMultiBodyPoint2Point.cpp
  src/BulletDynamics/MLCPSolvers/btDantzigLCP.cpp
  src/BulletDynamics/MLCPSolvers/btLemkeAlgorithm.cpp
  src/BulletDynamics/MLCPSolvers/btMLCPSolver.cpp
  src/BulletDynamics/Vehicle/btRaycastVehicle.cpp
  src/BulletDynamics/Vehicle/btWheelInfo.cpp

  src/BulletSoftBody/btDefaultSoftBodySolver.cpp
  src/BulletSoftBody/btSoftBody.cpp
  src/BulletSoftBody/btSoftBodyConcaveCollisionAlgorithm.cpp
  src/BulletSoftBody/btSoftBodyHelpers.cpp
  src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.cpp
  src/BulletSoftBody/btSoftRigidCollisionAlgorithm.cpp
  src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp
  src/BulletSoftBody/btSoftSoftCollisionAlgorithm.cpp

  src/LinearMath/btAlignedAllocator.cpp
  src/LinearMath/btConvexHull.cpp
  src/LinearMath/btConvexHullComputer.cpp
  src/LinearMath/btGeometryUtil.cpp
  src/LinearMath/btPolarDecomposition.cpp
  src/LinearMath/btQuickprof.cpp
  src/LinearMath/btSerializer.cpp
  src/LinearMath/btSerializer64.cpp
  src/LinearMath/btVector3.cpp

  src/BulletCollision/BroadphaseCollision/btAxisSweep3.h
  src/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h
  src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h
  src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h
  src/BulletCollision/BroadphaseCollision/btDbvt.h
  src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.h
  src/BulletCollision/BroadphaseCollision/btDispatcher.h
  src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h
  src/BulletCollision/BroadphaseCollision/btOverlappingPairCallback.h
  src/BulletCollision/BroadphaseCollision/btQuantizedBvh.h
  src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h
  src/BulletCollision/CollisionDispatch/SphereTriangleDetector.h
  src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btBoxBoxDetector.h
  src/BulletCollision/CollisionDispatch/btCollisionConfiguration.h
  src/BulletCollision/CollisionDispatch/btCollisionCreateFunc.h
  src/BulletCollision/CollisionDispatch/btCollisionDispatcher.h
  src/BulletCollision/CollisionDispatch/btCollisionObject.h
  src/BulletCollision/CollisionDispatch/btCollisionObjectWrapper.h
  src/BulletCollision/CollisionDispatch/btCollisionWorld.h
  src/BulletCollision/CollisionDispatch/btCollisionWorldImporter.h
  src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btCompoundCompoundCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.h
  src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.h
  src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.h
  src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h
  src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.h

=== extern/clew/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
  include
)

set(INC_SYS

)

set(SRC
  include/clew.h
  src/clew.c
)

set(LIB
)

add_definitions(-DCL_USE_DEPRECATED_OPENCL_1_1_APIS)

blender_add_lib(extern_clew "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== extern/gmock/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2014, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
  include
)

set(INC_SYS
  ../gtest/include
)

set(SRC
  # src/gmock-all.cc
  # src/gmock_main.cc

  src/gmock.cc
  src/gmock-cardinalities.cc
  src/gmock-internal-utils.cc
  src/gmock-matchers.cc
  src/gmock-spec-builders.cc
)

set(SRC_HEADERS
  include/gmock/gmock.h
  include/gmock/gmock-actions.h
  include/gmock/gmock-cardinalities.h
  include/gmock/gmock-function-mocker.h
  include/gmock/gmock-generated-actions.h
  include/gmock/gmock-generated-function-mockers.h
  include/gmock/gmock-generated-matchers.h
  include/gmock/gmock-matchers.h
  include/gmock/gmock-more-actions.h
  include/gmock/gmock-more-matchers.h
  include/gmock/gmock-nice-strict.h
  include/gmock/gmock-spec-builders.h
  include/gmock/internal/custom/gmock-generated-actions.h
  include/gmock/internal/custom/gmock-matchers.h
  include/gmock/internal/custom/gmock-port.h
  include/gmock/internal/gmock-internal-utils.h
  include/gmock/internal/gmock-port.h
  include/gmock/internal/gmock-pp.h
)

include_directories(${INC})
include_directories(SYSTEM ${INC_SYS})
add_library(extern_gmock ${SRC} ${SRC_HEADERS})

=== extern/hipew/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2021, Blender Foundation
# All rights reserved.
# ***** END GPL LICENSE BLOCK *****

set(INC
  .
  include
)

set(INC_SYS

)

set(SRC
  src/hipew.c

  include/hipew.h
)

set(LIB
)

blender_add_lib(extern_hipew "${SRC}" "${INC}" "${INC_SYS}" "${LIB}")

=== debian/changelog ===
blender (3.0.1+dfsg-7) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 14 Feb 2022 23:15:21 +0100

blender (3.0.1+dfsg-6) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 0007-fix_compilation_on_certain_platforms.patch added

  [ Adrian Bunk ]
  * Link with libatomic on architectures where it is needed

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Feb 2022 20:28:07 +0100

blender (3.0.1+dfsg-5) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0006-fix_Cycles_compilation_on_ARM.patch added
    Thanks to Sergey Sharybin for this patch.

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Feb 2022 23:17:50 +0100

blender (3.0.1+dfsg-4) experimental; urgency=medium

  * d/p/0005-fix_round_trip_in_Cycles.patch: updated

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 08 Feb 2022 22:06:01 +0100

blender (3.0.1+dfsg-3) experimental; urgency=medium

  * debian/patches/: patchset updated

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Feb 2022 20:39:04 +0100

blender (3.0.1+dfsg-2) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0005-fix_ftbfs_on_arm.patch dropped
    - 0005-fix_ftbfs_on_i386.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Feb 2022 23:10:48 +0100

blender (3.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0005-fix_ftbfs_on_i386.patch dropped (merged upstream)
    - 0006-fix_ftbfs_on_arm.patch renamed to #0005

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 Feb 2022 23:43:18 +0100

blender (3.0.0+dfsg-2) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0005-fix_ftbfs_on_i386.patch added
    - 0006-fix_ftbfs_on_arm.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jan 2022 14:43:40 +0100

blender (3.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/control: libzstd-dev b-dep added
    - debian/copyright: drop obsolete entry
    - debian/patches/: patchset updated
    - debian/blender-data.install: thumbnailer dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 19 Jan 2022 00:00:51 +0100

=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               gettext,
               libalut-dev,
               libavcodec-dev (>> 6:10),
               libavdevice-dev,
               libavformat-dev,
               libavfilter-dev,
               libblosc-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libembree-dev [amd64],
               libfftw3-dev,
               libfontconfig-dev,
               libgettextpo-dev,
               libglew-dev,
               libgsm1-dev,
               libilmbase-dev (>= 2.2.0),
               libjack-dev,
               libjemalloc-dev [!hurd-i386],
               libjpeg-dev,
               liblzma-dev,
               liblzo2-dev,
               libopenal-dev,
               libopencolorio-dev [!hurd-i386],
               libopenexr-dev (>= 2.2.0),
               libopenimageio-dev (>= 2.0.0),
               libopenjp2-7-dev,
               libopenvdb-dev [amd64 i386],
               libosd-dev,
               libpng-dev,
               libpugixml-dev,
               libsdl2-dev,
               libsndfile-dev,
               libspnav-dev,
               libswscale-dev,
               libtbb-dev,
               libtiff-dev,
               libvorbis-dev,
               libxi-dev,
               libxrandr-dev,
               libxxf86vm-dev,
               libz-dev,
               libzstd-dev,
               opencollada-dev [linux-any],
               pkg-config,
               python3-dev:any,
               python3-numpy,
               python3-requests
Build-Conflicts: nvidia-glx
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.blender.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/blender.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/blender

Package: blender
Architecture: any
Depends: blender-data (= ${source:Version}),
         fonts-dejavu,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.

Package: blender-data
Architecture: all
Depends: python3,
         ${misc:Depends},
         ${python3:Depends}
Replaces: blender (<< 2.67b-1~)
Description: Very fast and versatile 3D modeller/renderer - data package
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.
 .
 This package contains documentation, libraries and images for blender.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg, \
compression=xz" \
https://download.blender.org/source/blender-(\d\S+)\.tar\.xz
